Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # RandomAccessNDImageConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename Img> struct boost::gil::RandomAccessNDImageConcept< Img > N-dimensional container of values.
    concept RandomAccessNDImageConcept<typename Img> : Regular<Img> {
        typename view_t; where MutableRandomAccessNDImageViewConcept<view_t>;
        typename const_view_t = view_t::const_t;
        typename point_t      = view_t::point_t;
        typename value_type   = view_t::value_type;
        typename allocator_type;

        Img::Img(point_t dims, std::size_t alignment=1);
        Img::Img(point_t dims, value_type fill_value, std::size_t alignment);

        void Img::recreate(point_t new_dims, std::size_t alignment=1);
        void Img::recreate(point_t new_dims, value_type fill_value, std::size_t alignment);

        const point_t&        Img::dimensions() const;
        const const_view_t&   const_view(const Img&);
        const view_t&         view(Img&);
    };
## Public Member Functions
void | constraints ()
## Public Attributes
Img | img
The documentation for this struct was generated from the following file: gil_concept.hpp